package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;

public enum ContractTemplateTypeEnum implements BaseEnum<String, ContractTemplateTypeEnum> {
    BUY_ORDER(ContractTemplateSourceEnum.PLATFORM, "平台购买商品"),
    WITHDRAW(ContractTemplateSourceEnum.LINGXINPAY, "用户结算"),
    REGISTER(ContractTemplateSourceEnum.PLATFORM, "注册协议");

    @EnumValue
    private String code;

    private ContractTemplateSourceEnum source;

    private String desc;

    ContractTemplateTypeEnum(ContractTemplateSourceEnum source, String desc) {
        this.code = this.name();
        this.source = source;
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    public ContractTemplateSourceEnum getSource() {
        return source;
    }
}
